org.eclipse.microprofile.graphql.tck.apps.superhero.db

## Class HeroLocator

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.apps.superhero.db.HeroLocator

    @ApplicationScoped
    public class HeroLocator
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HeroLocator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Optional<String>` `getHeroLocation(String name)`
`protected void` `init(Object init)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeroLocator

    public HeroLocator()

### Method Detail

#### init

    protected void init(@Observes @Initialized(value=javax.enterprise.context.ApplicationScoped.class)
                        Object init)

#### getHeroLocation

    public Optional<String> getHeroLocation(String name)